###############################################################################
# This file is part of openWNS (open Wireless Network Simulator)
# _____________________________________________________________________________
#
# Copyright (C) 2004-2008
# Chair of Communication Networks (ComNets)
# Kopernikusstr. 16, D-52074 Aachen, Germany
# phone: ++49-241-80-27910,
# fax: ++49-241-80-22242
# email: info@openwns.org
# www: http://www.openwns.org
# _____________________________________________________________________________
#
# openWNS is free software; you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License version 2 as published by the
# Free Software Foundation;
#
# openWNS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
# details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################

import sys
import os


# begin example "lte.tutorial.experiment1.campaignConfiguration.import"
from openwns.wrowser.simdb.Parameters import Parameters, Int, Bool, Float, String
# end example

# begin example "lte.tutorial.experiment1.campaignConfiguration.Set"
class Set(Parameters):
    fullPLCompensation = Bool()
    full = Int()
    alpha = Float()
    pNull = String()
# end example

# begin example "lte.tutorial.experiment1.campaignConfiguration.params"
params = Set()
# end example

# begin example "lte.tutorial.experiment1.campaignConfiguration.population"
for f in [True,False]:
    if f == True:
	params.fullPLCompensation = True
	params.full = 1
	params.alpha = 1.0
	params.pNull = "-106 dBm"
    else:
	params.fullPLCompensation = False 
	params.full = 0
	params.alpha = 0.8
	params.pNull = "-81 dBm"

    params.write()
# end example
